# Durable Objects # Namespaces ## List Namespaces `client.durableObjects.namespaces.list(NamespaceListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/workers/durable_objects/namespaces` Returns the Durable Object namespaces owned by an account. ### Parameters - `params: NamespaceListParams` - `account_id: string` Path param: Identifier. - `page?: number` Query param: Current page. - `per_page?: number` Query param: Items per-page. ### Returns - `Namespace` - `id?: string` - `class?: string` - `name?: string` - `script?: string` - `use_sqlite?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const namespace of client.durableObjects.namespaces.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(namespace.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "id", "class": "class", "name": "name", "script": "script", "use_sqlite": true } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### Namespace - `Namespace` - `id?: string` - `class?: string` - `name?: string` - `script?: string` - `use_sqlite?: boolean` # Objects ## List Objects `client.durableObjects.namespaces.objects.list(stringid, ObjectListParamsparams, RequestOptionsoptions?): CursorPaginationAfter` **get** `/accounts/{account_id}/workers/durable_objects/namespaces/{id}/objects` Returns the Durable Objects in a given namespace. ### Parameters - `id: string` ID of the namespace. - `params: ObjectListParams` - `account_id: string` Path param: Identifier. - `cursor?: string` Query param: Opaque token indicating the position from which to continue when requesting the next set of records. A valid value for the cursor can be obtained from the cursors object in the result_info structure. - `limit?: number` Query param: The number of objects to return. The cursor attribute may be used to iterate over the next batch of objects if there are more than the limit. ### Returns - `DurableObject` - `id?: string` ID of the Durable Object. - `hasStoredData?: boolean` Whether the Durable Object has stored data. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const durableObject of client.durableObjects.namespaces.objects.list( '5fd1cafff895419c8bcc647fc64ab8f0', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, )) { console.log(durableObject.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "fe7803fc55b964e09d94666545aab688d360c6bda69ba349ced1e5f28d2fc2c8", "hasStoredData": true } ], "result_info": { "count": 1, "cursor": "AAAAANuhDN7SjacTnSVsDu3WW1Lvst6dxJGTjRY5BhxPXdf6L6uTcpd_NVtjhn11OUYRsVEykxoUwF-JQU4dn6QylZSKTOJuG0indrdn_MlHpMRtsxgXjs-RPdHYIVm3odE_uvEQ_dTQGFm8oikZMohns34DLBgrQpc", "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### Durable Object - `DurableObject` - `id?: string` ID of the Durable Object. - `hasStoredData?: boolean` Whether the Durable Object has stored data.